<div>
	<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
		<a class="navbar-brand" href="index.html">JB Nómina</a
		><button class="btn btn-link btn-sm order-1 order-lg-0" id="sidebarToggle" href="#"><i class="fas fa-bars"></i></button
		><!-- Navbar Search-->
		<form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0"></form>
		<!-- Navbar-->
		<ul class="navbar-nav ml-auto ml-md-0">
			<li class="nav-item dropdown">
				<a
					class="nav-link dropdown-toggle"
					id="userDropdown"
					href="#"
					role="button"
					data-toggle="dropdown"
					aria-haspopup="true"
					aria-expanded="false"
				>
					<i class="fas fa-user fa-fw mr-1"></i><span class="mr-1">{{ sessionService.user?.name }}</span>
				</a>
				<div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
					<a class="dropdown-item" href="#" (click)="open(changePasswordModal)">Cambiar Contraseña</a>
					<a class="dropdown-item" href="#">Activity Log</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="javascript::0" (click)="logout()">Logout</a>
				</div>
			</li>
		</ul>
	</nav>
	<div id="layoutSidenav">
		<div id="layoutSidenav_nav">
			<nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
				<div class="sb-sidenav-menu">
					<div class="nav">
						<div class="sb-sidenav-menu-heading">Menú Principal</div>

						<ng-container *ngFor="let m of mainMenu">
							<ng-container *ngIf="m.children; else noChildrenTpl">
								<a class="nav-link collapsed" href="#" data-toggle="collapse" [attr.data-target]="'#collapseLayouts' + m.id" aria-expanded="false">
									<div class="sb-nav-link-icon"><i [class]="m.icon"></i></div>
									{{ m.name }}
									<div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
								</a>
								<div class="collapse" id="collapseLayouts{{ m.id }}" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
									<nav class="sb-sidenav-menu-nested nav">
										<a class="nav-link" *ngFor="let sm of m.children" [routerLink]="['/' + sm.url]" [routerLinkActive]="['active']">
											<i class="fas fa-angle-double-right mr-1"></i>{{ sm.name }}
										</a>
									</nav>
								</div>
							</ng-container>

							<ng-template #noChildrenTpl>
								<a class="nav-link" [routerLink]="['/' + m.url]" [routerLinkActive]="['active']">
									<div class="sb-nav-link-icon"><i [class]="m.icon"></i></div>
									{{ m.name }}
								</a>
							</ng-template>
						</ng-container>
					</div>
				</div>
				<div class="sb-sidenav-footer">
					<!--<div class="small">Logged in as:</div>
                            Start Bootstrap-->
				</div>
			</nav>
		</div>
		<div id="layoutSidenav_content">
			<main>
				<div class="container-fluid">
					<div
						class="alert alert-success"
						style=" text-align: center; width: 20%;position: absolute; left: 0;right: 0; top: 50px; z-index: 1; margin: auto; display: none;"
						id="alertMessage"
					>
						<b>Grabación Éxitosa!</b>
					</div>
					<div class="mt-4">
						<app-title></app-title>

						<router-outlet></router-outlet>
					</div>
				</div>
			</main>
			<footer class="py-4 bg-light mt-auto">
				<div class="container-fluid">
					<div class="d-flex align-items-center justify-content-between small">
						<div class="text-muted">Copyright &copy; Your Website 2019</div>
						<div>
							<a href="#">Privacy Policy</a>
							&middot;
							<a href="#">Terms &amp; Conditions</a>
						</div>
					</div>
				</div>
			</footer>
		</div>
	</div>
</div>

<simple-notifications [options]="notify.options"></simple-notifications>

<ng-template #changePasswordModal let-modal>
	<app-dimmer [loading]="changePassword.loading"></app-dimmer>

	<div class="modal-header">
		<h4 class="modal-title" id="modal-basic-title">Cambiar Contraseña</h4>
		<button type="button" class="close" aria-label="Close" (click)="modal.dismiss()">
			<span aria-hidden="true">&times;</span>
		</button>
	</div>
	<form [formGroup]="changePassword.form">
		<div class="modal-body">
			<div class="form-group">
				<label>Contraseña actual</label>
				<input type="password" class="form-control form-control-sm" formControlName="current" />
				<app-form-control-error formControlName="current"></app-form-control-error>
			</div>
			<div class="form-group">
				<div class="d-flex">
					<label>Nueva contraseña</label>
					<ng2-password-strength-bar [passwordToCheck]="changePassword.form.controls['new'].value"></ng2-password-strength-bar>
				</div>
				<input type="password" class="form-control form-control-sm" formControlName="new" />
				<app-form-control-error formControlName="new"></app-form-control-error>
			</div>
			<div class="form-group">
				<label>Confirmar contraseña</label>
				<input type="password" class="form-control form-control-sm" formControlName="confirmation" />
				<app-form-control-error formControlName="confirmation"></app-form-control-error>
			</div>
		</div>
		<div class="modal-footer">
			<button type="submit" class="btn btn-primary" (click)="savePassword(modal)">Cambiar</button>
		</div>
	</form>
</ng-template>
